diff -Naur opencomal-0.2.6/src/pdccmd.c opencomal-0.2.6.patched/src/pdccmd.c
--- opencomal-0.2.6/src/pdccmd.c	2017-12-10 17:36:56.144207669 -0500
+++ opencomal-0.2.6.patched/src/pdccmd.c	2017-12-10 17:52:49.942209286 -0500
@@ -36,7 +36,7 @@
 
 		if (!listfile)
 			run_error(OPEN_ERR, "File open error %s",
-				  sys_errlist[errno]);
+				  strerror(errno));
 
 		setvbuf(listfile, NULL, _IOFBF, TEXT_BUFSIZE);
 	} else {
@@ -126,7 +126,7 @@
 
 	if (!yyenter)
 		run_error(OPEN_ERR, "File open error: %s",
-			  sys_errlist[errno]);
+			  strerror(errno));
 
 	setvbuf(yyenter, NULL, _IOFBF, TEXT_BUFSIZE);
 	++entering;
@@ -138,7 +138,7 @@
 			if (!feof(yyenter))
 				run_error(CMD_ERR,
 					  "Error when reading ENTER file: %s",
-					  sys_errlist[errno]);
+					  strerror(errno));
 		} else {
 			aline = crunch_line(tline);
 
diff -Naur opencomal-0.2.6/src/pdcexec.c opencomal-0.2.6.patched/src/pdcexec.c
--- opencomal-0.2.6/src/pdcexec.c	2017-12-10 17:37:01.335207678 -0500
+++ opencomal-0.2.6.patched/src/pdcexec.c	2017-12-10 17:53:27.853209351 -0500
@@ -1218,7 +1218,7 @@
 	frec->hfno = open(name->s, flags | O_BINARY, S_IREAD | S_IWRITE);
 
 	if (frec->hfno == -1)
-		run_error(OPEN_ERR, "OPEN error: %s", sys_errlist[errno]);
+		run_error(OPEN_ERR, "OPEN error: %s", strerror(errno));
 
 	frec->next = curenv->fileroot;
 	curenv->fileroot = frec;
@@ -1244,7 +1244,7 @@
 			if (close(walk->hfno) == -1)
 				run_error(CLOSE_ERR,
 					  "Close error on file %ld: %s",
-					  walk->cfno, sys_errlist[errno]);
+					  walk->cfno, strerror(errno));
 
 			walk = mem_free(walk);
 		}
@@ -1268,7 +1268,7 @@
 			if (close(walk->hfno) == -1)
 				run_error(CLOSE_ERR,
 					  "CLOSE error on file %ld: %s",
-					  walk->cfno, sys_errlist[errno]);
+					  walk->cfno, strerror(errno));
 			else {
 				if (last)
 					last->next = walk->next;
@@ -1314,7 +1314,7 @@
 		    -1)
 			run_error(POS_ERR,
 				  "Random file positioning error: %s",
-				  sys_errlist[errno]);
+				  strerror(errno));
 	}
 
 	return f;
@@ -1391,7 +1391,7 @@
 
 	if (r < 0)
 		run_error(READ_ERR, "INPUT/READ file error: %s",
-			  sys_errlist[errno]);
+			  strerror(errno));
 }
 
 
@@ -1534,7 +1534,7 @@
 
 	if (w < 0)
 		run_error(WRITE_ERR, "File write error: %s",
-			  sys_errlist[errno]);
+			  strerror(errno));
 }
 
 
@@ -1703,7 +1703,7 @@
 		if (fclose(*f))
 			run_error(SELECT_ERR,
 				  "Error when closing current SELECT file: %s",
-				  sys_errlist[errno]);
+				  strerror(errno));
 
 	calc_exp(exp, (void **) &result, &type);
 
@@ -1715,7 +1715,7 @@
 		if (!*f)
 			run_error(SELECT_ERR,
 				  "Error when opening new SELECT file: %s",
-				  sys_errlist[errno]);
+				  strerror(errno));
 	}
 
 	mem_free(result);
diff -Naur opencomal-0.2.6/src/pdcexp.c opencomal-0.2.6.patched/src/pdcexp.c
--- opencomal-0.2.6/src/pdcexp.c	2017-12-10 17:36:56.144207669 -0500
+++ opencomal-0.2.6.patched/src/pdcexp.c	2017-12-10 17:54:02.343209409 -0500
@@ -220,7 +220,7 @@
 
 	if (result == -1)
 		run_error(EOF_ERR, "Error when checking for EOF: %s",
-			  sys_errlist[errno]);
+			  strerror(errno));
 
 	return result;
 }
diff -Naur opencomal-0.2.6/src/pdcext.c opencomal-0.2.6.patched/src/pdcext.c
--- opencomal-0.2.6/src/pdcext.c	2017-12-10 17:36:56.144207669 -0500
+++ opencomal-0.2.6.patched/src/pdcext.c	2017-12-10 17:54:53.239209496 -0500
@@ -248,7 +248,7 @@
 				pop_inpfile();
 				run_error(SYS_ERR,
 					  "Error opening sysin: %s",
-					  sys_errlist[errno]);
+					  strerror(errno));
 			}
 		}
 
@@ -280,7 +280,7 @@
 
 		if (!sys_outfile && name->s[0])
 			run_error(SYS_ERR, "Error opening sysout: %s",
-				  sys_errlist[errno]);
+				  strerror(errno));
 
 		return 0;
 	} else if (strcmp(cmd, "memdump") == 0) {
@@ -323,7 +323,7 @@
 
 		if (!eof)
 			run_error(SYS_ERR, "Error reading sysin: %s",
-				  sys_errlist[errno]);
+				  strerror(errno));
 
 		return ext_get(stream, line, maxlen, prompt);
 	}
diff -Naur opencomal-0.2.6/src/pdcmisc.c opencomal-0.2.6.patched/src/pdcmisc.c
--- opencomal-0.2.6/src/pdcmisc.c	2017-12-10 17:37:01.335207678 -0500
+++ opencomal-0.2.6.patched/src/pdcmisc.c	2017-12-10 17:50:59.802209100 -0500
@@ -39,7 +39,7 @@
 		if (fputc('\n', sel_outfile) == EOF)
 			run_error(SELECT_ERR,
 				  "Error when writing to SELECT OUTPUT file %s",
-				  sys_errlist[errno]);
+				  strerror(errno));
 	} else
 		sys_nl(stream);
 }
@@ -51,7 +51,7 @@
 		if (fputs(buf, sel_outfile) == EOF)
 			run_error(SELECT_ERR,
 				  "Error when writing to SELECT OUTPUT file %s",
-				  sys_errlist[errno]);
+				  strerror(errno));
 	} else
 		sys_put(stream, buf, len);
 }
diff -Naur opencomal-0.2.6/src/pdcsqash.c opencomal-0.2.6.patched/src/pdcsqash.c
--- opencomal-0.2.6/src/pdcsqash.c	2017-12-10 17:36:56.145207669 -0500
+++ opencomal-0.2.6.patched/src/pdcsqash.c	2017-12-10 17:54:58.873209505 -0500
@@ -39,7 +39,7 @@
 			close(sqash_file);
 			run_error(SQASH_ERR,
 				  "Error when writing to file: %s",
-				  sys_errlist[errno]);
+				  strerror(errno));
 		}
 
 		sqash_i = 0;
@@ -543,7 +543,7 @@
 
 	if (sqash_file < 0)
 		run_error(OPEN_ERR, "File open error: %s",
-			  sys_errlist[errno]);
+			  strerror(errno));
 
 	sqash_buf = mem_alloc(MISC_POOL, SQASH_BUFSIZE);
 	sqash_i = 0;
@@ -568,7 +568,7 @@
 
 	if (close(sqash_file) < 0)
 		run_error(CLOSE_ERR, "Error closing file: %s",
-			  sys_errlist[errno]);
+			  strerror(errno));
 }
 
 
@@ -583,7 +583,7 @@
 	if (sqash_hwm < 0) {
 		close(sqash_file);
 		run_error(SQASH_ERR, "Error when reading from file: %s",
-			  sys_errlist[errno]);
+			  strerror(errno));
 	}
 
 	sqash_i = 0;
@@ -1276,7 +1276,7 @@
 
 	if (sqash_file < 0)
 		run_error(OPEN_ERR, "File open error: %s",
-			  sys_errlist[errno]);
+			  strerror(errno));
 
 	sqash_buf = mem_alloc(MISC_POOL, SQASH_BUFSIZE);
 	sqash_i = MAXUNSIGNED;
@@ -1332,7 +1332,7 @@
 
 	if (close(sqash_file) < 0)
 		run_error(CLOSE_ERR, "Error closing file: %s",
-			  sys_errlist[errno]);
+			  strerror(errno));
 
 	return root;
 }
